Workflows
Workflows define automated processes and state machines in TribeCRM. They consist of workflow states and transitions that govern how entities move through a process.
Use the Workflow endpoint to query workflow definitions.
Endpoints
List Workflows
GET
/v1/odata/WorkflowSingle Workflow
GET
/v1/odata/Workflow({id})Create Workflow
POST
/v1/odata/WorkflowUpdate Workflow
PUT
/v1/odata/Workflow({id})Delete Workflow
DELETE
/v1/odata/Workflow({id})Fields
Workflow Fields
| Field | Type | Description |
|---|---|---|
Name | String | Workflow name |
Code | String | Workflow code |
IsEnabled | Boolean | Whether the workflow is active |
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| WorkflowStates | WorkflowState | 1:N | States in this workflow |
| WorkflowTransitions | WorkflowTransition | 1:N | Transitions between states |
Expanding Relationships
GET
/v1/odata/Workflow({id})?$expand=WorkflowStatesNavigating Relationships
GET
/v1/odata/Workflow({id})/WorkflowStatesFiltering Examples
GET
/v1/odata/Workflow?$filter=Name eq '{Name}'&$top={top}GET
/v1/odata/Workflow?$filter=IsEnabled eq {IsEnabled}&$top={top}GET
/v1/odata/Workflow?$filter=Code eq '{Code}'&$top={top}GET
/v1/odata/Workflow?$filter=contains(Name, '{Name}')&$top={top}